<?php

/* #############################################
####### OBTENER CODIGO HTML BY: AEX12 ##########
##############################################*/

function obtenerhtml2($url){
$fo= fopen("$url","r") or die ("NO");
while (!feof($fo)) {
$codigohtml .= fgets($fo, 4096);
}
fclose ($fo);
return $codigohtml;
}

$url = "$infoclima";


$codigohtml = obtenerhtml2("$url");


$codigohtml_s= strstr($codigohtml, 'temp:');



$codigohtml_s = str_replace("temp:'",'',$codigohtml_s);



$codigohtml_s = str_replace("',",'',$codigohtml_s);



$codigohtml_OK_s = $codigohtml_s;

   $i = 1;
while ($i <= 2) {
    
	/* el valor presentado sería
                   $i antes del incremento
                   (post-incremento) */



$i = $i + 1;
				   
$codigohtml_s = substr("$codigohtml_OK_s", 0, $i);    // devuelve "f"

$codigohtml_q_s = substr("$codigohtml_s", -1);


if ($codigohtml_q_s == '"') { $i = 350; $codigohtml_s = str_replace('"','',$codigohtml_s);  };
}



   $i = 1;
while ($i <= 300) {

	/* el valor presentado sería
                   $i antes del incremento
                   (post-incremento) */




$i = $i + 1;
				   
$codigohtml_n = substr("$codigohtml_OK_n", 0, $i);    // devuelve "f"

$codigohtml_q_n = substr("$codigohtml_n", -1);


if ($codigohtml_q_n == '"') { $codigohtml_n = str_replace('"','',$codigohtml_n); 

$i = 350;};
}


$temperatura = "$codigohtml_s";?>
